Subject: [its] V2X problem statement discussion

From: "Dowdell, John" <[email-masked]>
Date: Tue, 3 Sep 2013 15:30:38 +0000

Alex has asked me to take on the challenge of writing a problem statement for the V2I interface. I would like to solicit views of people on the list who know more about this than I do, but also to help focus what it is we are trying to achieve.

First, what it is in the IETF that we usually try to do? We build protocols that can be re-used and adapted again and again. We do not build vertical eco-systems. We know that other organisations (e.g. ETSI, ITU, IEEE) have the edge in other areas and actively try to cooperate with them. Many IETF protocols are used millions of times a day all over the world without most people knowing it. Thus we enable the transfer of information between parties using reliable or unreliable transport without restricting the underlying physical layer or anything about the look, feel or functionality of the applications.

Second, the IETF is an open and collaborative organisation. From what I can see, many organisations active in the V2X environment are car manufacturers, suppliers or research organisations who are already working on ITS programmes, some for many years, for example the Car 2 Car Communications Consortium that was referenced in the article pointed to by Alison's recent post [1]. They appear to be spawning vertical solution sets that they can use to leverage sales, to the exclusion of anyone else who thinks they may have other ideas.

Thus my question is this: even if we define our problem statements, write drafts and maybe get some standards approved, will any of our efforts actually make a difference to the marketplace over the next five to ten years? Therefore, should we expend our cycles on chasing this particular dream?

Discussion welcome.

- John

[1] http://www.ietf.org/mail-archive/web/its/current/msg00553.html

The information contained within this e-mail and any files attached to this e-mail is private and in addition may include commercially sensitive information. The contents of this e-mail are for the intended recipient only and therefore if you wish to disclose the information contained within this e-mail or attached files, please contact the sender prior to any such disclosure. If you are not the intended recipient, any disclosure, copying or distribution is prohibited. Please also contact the sender and inform them of the error and delete the e-mail, including any attached files from your system. Cassidian Limited, Registered Office : Quadrant House, Celtic Springs, Coedkernew, Newport, NP10 8FZ Company No: 04191036 http://www.cassidian.com

---

From: Rex Buddenberg <[email-masked]>
Date: Tue, 03 Sep 2013 12:23:26 -0700

> Discussion welcome.

In THAT case;-)

John, you've got a lot of this right.  Some blanks can use some filling
in:

> Alex has asked me to take on the challenge of writing a problem
> statement for the V2I interface. I would like to solicit views of
> people on the list who know more about this than I do, but also to
> help focus what it is we are trying to achieve.

This is a good question to ask; we seem to have discussion on proposed
solutions without first getting a good grip on the problem.  ... hardly
the first time that's happened, but we need to do better.
> 
> First, what it is in the IETF that we usually try to do? We build
> protocols that can be re-used and adapted again and again. We do not
> build vertical eco-systems. We know that other organisations (e.g.
> ETSI, ITU, IEEE) have the edge in other areas and actively try to
> cooperate with them.

Well, ok, but...

IEEE 802 is, IMHO, somewhat of an exception to your statement, John.  A
lot of IEEE does indeed focus on 'vertical eco-systems', but 802
committee has become something of a cognate of IETF.  When IETF finally
recognized that it really was a standards body in the early '90s, it
carefully carved out a niche of protocol standards in layers 3-7 and
left standards in layers 1-2 to 'other standards bodies'.  IEEE 802 has
been the 'other standards body' that has been the most successful at
playing that role.  (SAE was one that failed,
 btw). 

>  Many IETF protocols are used millions of times a day all over the
> world without most people knowing it. Thus we enable the transfer of
> information between parties using reliable or unreliable transport
> without restricting the underlying physical layer or anything about
> the look, feel or functionality of the applications.

Right on.  'reliable transport over unreliable components' is a fitting
description of TCP.  (And we need to apply the same philosophy to
security -- secure comms over an untrusted network).  

The Grand Aha! of the internet was separation of TCP and IP into two
separate protocols. ... AND providing a modular interface at upper
layers so we can build one comms infrastructure and 1001, 1002, 1003 ...
applications that reuse it.  

> 
> Second, the IETF is an open and collaborative organisation. From what
> I can see, many organisations active in the V2X environment are car
> manufacturers, suppliers or research organisations who are already
> working on ITS programmes, some for many years, for example the Car 2
> Car Communications Consortium that was referenced in the article
> pointed to by Alison's recent post [1]. They appear to be spawning
> vertical solution sets that they can use to leverage sales, to the
> exclusion of anyone else who thinks they may have other ideas.

Now we get to some useful observations.  Automobiles are made by
numerous manufacturers and they are used for many different purposes.
So vertically integrated solutions that do not allow this 'multi' should
be frowned on.  At least within IETF.  (There's nothing wrong with
competitive advantage on the auto industry, of course). 

On example of this 'vertical' is the National Public Safety Telecom
Council that just went through an exercise writing a Statement of
Requirements.  (Which is unfortunately a statement of proposed
solutions, not requirements).  Since public safety folks ubiquitously
use vehicles, the trade space overlaps anything labeled
vehicle-to-vehicle or vehicle-to-infrastructure.  Vertical solutions,
while being contrary to IETF's DNA, are objectively not a good idea.

> 
> Thus my question is this: even if we define our problem statements,
> write drafts and maybe get some standards approved, will any of our
> efforts actually make a difference to the marketplace over the next
> five to ten years? Therefore, should we expend our cycles on chasing
> this particular dream?

Ah.  I think you have your finger on the start of right answer to this
question above: the nature of IETF.  

A narrow problem statement can be specific enough to focus work.  But
you get the vertical problems you've alluded to above.  On the other
hand, a broader problem statement tends to fall in the 'solve world
hunger' category.  A problem statement that tries to define both
applications and infrastructure will inevitably fall in this trap.
Further a problem statement that tries to close-end the question of who
we need to be interoperable with will also be trapped.  These are indeed
dead ends to be expending cycles on.

(I've been burned on a lot of these ... and we taxpayers have too.  I'll
omit some of the US DoD myopia stories here).

There is a way out, though.  And IETF basically has it.  
    Thread 1.  We should focus on 'extending the internet to mobile
platforms'.  This is a positive way of keeping ourselves out of the 'new
radio system' narrowness.  This focus on the infrastructure interface
standards should be application-agnostic.
    Thread 2.  What should we do to foster a set of applications that
effectively and efficiently use this extension of the internet to mobile
platforms?  

Mixing the two threads is a recipe for failure because it forces you
into a 'perfect crystal ball' mode that none of us are capable of.  

> Discussion welcome.

Any help?

> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its

---

From: "Ivancic, William D. (GRC-RHN0)" <[email-masked]>
Date: Wed, 4 Sep 2013 14:03:47 +0000

I think there are a reasonable amount of people and groups interested in
common solutions as it is to hard a problem and to costly to have industry
and/or company specific solutions as evidence by this meeting:

http://sites.ieee.org/c4tti/agenda/

There is a group at NASA working requirements for UAVs.  Security is a major
issue hear too, but building a UAV specific solutions is probably not
desirable either.  Although, there are bandwidth limitations on the
communications links that may or may not be the same as other ITS.

Will

> From: "Dowdell, John" <[email-masked]>
> Date: Tue, 3 Sep 2013 15:30:38 +0000
> To: "[email-masked]" <[email-masked]>
> Subject: [its] V2X problem statement discussion
> 
> Alex has asked me to take on the challenge of writing a problem statement for
> the V2I interface. I would like to solicit views of people on the list who
> know more about this than I do, but also to help focus what it is we are
> trying to achieve.
> 
> First, what it is in the IETF that we usually try to do? We build protocols
> that can be re-used and adapted again and again. We do not build vertical
> eco-systems. We know that other organisations (e.g. ETSI, ITU, IEEE) have the
> edge in other areas and actively try to cooperate with them. Many IETF
> protocols are used millions of times a day all over the world without most
> people knowing it. Thus we enable the transfer of information between parties
> using reliable or unreliable transport without restricting the underlying
> physical layer or anything about the look, feel or functionality of the
> applications.
> 
> Second, the IETF is an open and collaborative organisation. From what I can
> see, many organisations active in the V2X environment are car manufacturers,
> suppliers or research organisations who are already working on ITS programmes,
> some for many years, for example the Car 2 Car Communications Consortium that
> was referenced in the article pointed to by Alison's recent post [1]. They
> appear to be spawning vertical solution sets that they can use to leverage
> sales, to the exclusion of anyone else who thinks they may have other ideas.
> 
> Thus my question is this: even if we define our problem statements, write
> drafts and maybe get some standards approved, will any of our efforts actually
> make a difference to the marketplace over the next five to ten years?
> Therefore, should we expend our cycles on chasing this particular dream?
> 
> Discussion welcome.
> 
> - John
> 
> The information contained within this e-mail and any files attached to this
> e-mail is private and in addition may include commercially sensitive
> information. The contents of this e-mail are for the intended recipient only
> and therefore if you wish to disclose the information contained within this
> e-mail or attached files, please contact the sender prior to any such
> disclosure. If you are not the intended recipient, any disclosure, copying or
> distribution is prohibited. Please also contact the sender and inform them of
> the error and delete the e-mail, including any attached files from your
> system. Cassidian Limited, Registered Office : Quadrant House, Celtic Springs,
> Coedkernew, Newport, NP10 8FZ Company No: 04191036 http://www.cassidian.com